#### 润普电子卷宗应用平台，跳转到其他第三方网站或应用。

![](https://doc.dev.whrunpu.com/uploads/dev-doc/images/m_2b5afb225108d01f7985ea3c4b51b2fa_r.png)

##### 第一步：第三方提供集成网页地址

例如, 第三方提供其网址 https://dev.doc.whrunpu.com

应用平台跳转该网站会增加查询参数WHRP_TOKEN
样例：

```
https://dev.doc.whrunpu.com?WHRP_TOKEN=eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJ1c2VyX2lkIjoxNTM5NDU2NDkx......
```



##### 第二步：获取用户信息
访问接口：
```
https://gateway.dev.whrunpu.com/user/base/base-info
```

请求头：

| 参数名  |  是否必须 | 说明 |
| ------------ | ------------ | ------------ |
| Authorization  | 是  | Bearer access_token |

例如：
Authorization = Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJ1c2VyX......

正确返回示例：
```json
{
    "id": "1539456491465842689",
    "userName": "test",
    "realName": "测试",
    "code": "7001231",
    "email": "",
    "phone": "13141234567",
    "orgs": [],
    "roles": [
        {
            "id": "1",
            "code": "ADMIN",
            "name": "超管",
            "extra": null,
            "lft": null,
            "rgt": null
        }
    ],
    "positions": [
        {
            "id": "1498862578955325657",
            "code": "YLD",
            "name": "院领导"
        }
    ],
    "permissions": [
        "/caseinfo/case"....
    ],
    "court": {
        "id": "102",
        "name": "石家庄市长安区人民法院",
        "shortName": "冀0102",
        "code": "102",
        "type": "COURT",
        "lft": 39,
        "rgt": 110,
        "extra": {
            "areaCode": "130102"
        }
    }
}
```