
## Maven 配置说明

### 1、下载apache maven3
[tar.gz](https://mirrors.tuna.tsinghua.edu.cn/apache/maven/maven-3/3.6.3/binaries/apache-maven-3.6.3-bin.tar.gz)
[zip](https://mirrors.tuna.tsinghua.edu.cn/apache/maven/maven-3/3.6.3/binaries/apache-maven-3.6.3-bin.zip)



### 2、maven 配置setting.xml
加入以下代码
```
 	<server>
      <id>whrp-snapshots</id>
      <username>development</username>
      <password>s7JRwpYwo*1dBc#O</password>
    </server>


    <server>
      <id>whrp-releases</id>
      <username>development</username>
      <password>s7JRwpYwo*1dBc#O</password>
    </server>
 
```

```
 	<mirror>
      <id>whrp</id>
      <mirrorOf>*</mirrorOf>
      <url>http://192.168.0.26:8081/repository/maven-public/</url>
    </mirror>
 
```

### 3、配置项目pom.xml
```
 	  <distributionManagement>
        <snapshotRepository>
            <id>whrp-snapshots</id>
            <name>Snapshots</name>
            <url>http://192.168.0.26:8081/repository/maven-snapshots/</url>
        </snapshotRepository>

        <repository>
            <id>whrp-releases</id>
            <name>Releases</name>
            <url>http://192.168.0.26:8081/repository/maven-releases/</url>
        </repository>
    </distributionManagement> 
```

### 4、IDEA 配置maven

![](http://file.pjy.name/f/b66ee03f6094438ebef4/?dl=1)

### 5、发布
```
mvn deploy
```